questions:
- variable: defaultChannels.slMicro61Baremetal.included
  show_if: "defaultChannels.slMicro61Baremetal"
  default: true
  description: "Default channel that can be used for any generic baremetal workload."
  type: boolean
  label: SL Micro 6.1 Baremetal
  group: "Default Elemental OS Channels"
- variable: defaultChannels.slMicro61KVM.included
  show_if: "defaultChannels.slMicro61KVM"
  default: true
  description: "Ready to be used with KVM. Contains QEMU Guest agent by default."
  type: boolean
  label: SL Micro 6.1 KVM
  group: "Default Elemental OS Channels"
- variable: defaultChannels.slMicro61RT.included
  show_if: "defaultChannels.slMicro61RT"
  default: true
  description: "Channel that can be used for any generic workload with a Real-Time kernel."
  type: boolean
  label: SL Micro 6.1 RT
  group: "Default Elemental OS Channels"
- variable: channel.defaultChannel
  default: "false"
  description: "Provide a Custom OS Channel container image"
  label: Custom OS Channel
  type: boolean
  show_subquestion_if: true
  group: "Custom OS Channel"
  subquestions:
  - variable: channel.image
    description: "Specify the custom OS channel: for air-gapped scenarios please see https://elemental.docs.rancher.com/airgap"
    type: string
    label: Custom OS Channel Image
    group: "Custom OS Channel"
  - variable: channel.tag
    description: "Specify Custom OS Channel image tag"
    type: string
    label: "Custom OS Channel Tag"
    group: "Custom OS Channel"
- variable: debug
  default: "false"
  description: "Enable debug logging in the Elemental operator"
  type: boolean
  label: "Enable Debug Logging"
  group: "Logging"
